

\newif\if@english
\@englishtrue
\DeclareOption{Persian}{
	\@englishfalse
}
\ProcessOptions\relax


\if@english
\LoadClass[a4paper,11pt,twoside]{amsproc}%
\else
\LoadClass[11pt,reqno]{amsart}%
\fi

\usepackage[bookmarksnumbered, colorlinks, plainpages]{hyperref}
\usepackage[twoside,
				letterpaper,includeheadfoot,%
				layoutsize={8.125in,10.875in},%
                layouthoffset=0.1875in,%
                layoutvoffset=0.0625in,%
                left=38.5pt,%
                right=43pt,%
                top=23pt,% 
                bottom=32pt,%
                headheight=35pt,
                headsep=60pt,%
                footskip=55pt]{geometry}
\RequirePackage{amsmath,amssymb,multicol, amsthm, amsfonts, amscd,mathtools, bidihl,multirow,amsthm,enumerate}%, soul
\usepackage{abstract, graphicx, fancyhdr, color, xcolor,ifthen} 
\RequirePackage[all]{xy} 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\makeatletter
\def\author@andify{%
  \nxandlist {\unskip ,\penalty-1 \space\ignorespaces}%
    {\unskip ,~}%
    {\unskip \penalty-2 ,~}%
}
\makeatother
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{xepersian}
\def\affilfont{\normalfont\fontsize{10}{12}\selectfont\centering}
\def\affil#1{\par\vskip12pt{\affilfont#1\par}\vskip15pt}
\def\Speaker{$^{*}$\protect\footnotetext{$^{*}$ سخنران}}
\def\authorsaddresses#1{\dedicatory{{\tiny #1}}}
\renewcommand{\subjclass}[2][test]{\begin{latin}{\blfootnote{#1\ \lr{Mathematics Subject Classification.\ #2}}}\end{latin}}
\renewenvironment{abstract}
               {\list{}{}%
               \item[]{\bfseries{چکیده:}}\relax}
               {\endlist}
\newcommand{\KeyWords}[1]{
{%
\bgroup  \raggedleft
 \small \par\indent{\hskip12mm{\bfseries{کلید واژه‌ها: }#1}}\par
\egroup
}}
\makeatletter
\def\subsection{\@startsection{subsection}{2}%
  \z@{.5\linespacing\@plus.7\linespacing}{.3\linespacing}%
  {\bfseries}}
\makeatother
\makeatletter
\def\subsubsection{\@startsection{subsubsection}{3}%
  \z@{.5\linespacing\@plus.7\linespacing}{.3\linespacing}%
  {\small\bfseries}}
\makeatother
\SepMark{-}
\definecolor{bidihlcolor}{rgb}{1,1,0}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\fancypagestyle{firstpage}{%
%	\pagenumbering{gobble}
	\fancyhead{}
	\fancyhead[C]{\includegraphics[width=500pt]{logo}}
}
\pagestyle{fancy} 
\fancyhead{}
\fancyhead[C]{\authorlastnames, \shortarticletitle\\[5mm]} 
\fancyhead[L]{\includegraphics[width=500pt]{head}}
\fancyfoot[C]{\includegraphics[width=500pt]{foot}}
\renewcommand{\headrulewidth}{0pt}

\newenvironment{latinabstract}
               {\list{}{}%
               \item[]\bfseries{\itshape{Abstract---}}\relax}
               {\endlist}
\newcommand{\latinKeyWords}[1]{
{%
\bgroup  \raggedright
 \small \par\indent{\hskip13mm\bfseries\itshape{Keywords---}#1}\par
\egroup
}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% End of file `ncbdu.cls'.